﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.ServiceModel;

namespace DummyExternalService
{
    // 他社ポイント管理サービス ホスト
    class Program
    {
        static void Main(string[] args)
        {
            //TestCode();

            var srv1 = new ServiceHost(typeof(ExternalService));

            srv1.Open();

            ShowService(srv1);
            Console.WriteLine("終了には、何かキーを押してください。");
            Console.ReadKey();

            srv1.Close();
        }

        static void ShowService(ServiceHost srv)
        {
            Console.WriteLine("**** {0} サービス ****", srv.Description.Name);
            //foreach (var hostAddr in srv.BaseAddresses)
            //{
            //    Console.WriteLine("  BaseAddress:{0}", hostAddr);
            //}
            foreach (var endpoint in srv.Description.Endpoints)
            {
                Console.WriteLine("     Endpoint:{0}", endpoint.Address);
            }
            Console.WriteLine();
        }

        static void TestCode()
        {
            bool result;
            int transferId;
            string msg;

            result = PointBLComp1.TransferPoint(
                "AWTS", "0000500001", "山田", "太郎", 100,
                out transferId, out msg);
            Console.WriteLine("transferId={0}, msg={1}", transferId, msg);

            //コード違い
            result = PointBLComp1.TransferPoint(
                "AWTS", "0000500011", "山田", "太郎", 100,
                out transferId, out msg);
            Console.WriteLine("transferId={0}, msg={1}", transferId, msg);

            //氏名違い
            result = PointBLComp1.TransferPoint(
                "AWTS", "00000500001", "山田", "次郎", 100,
                out transferId, out msg);
            Console.WriteLine("transferId={0}, msg={1}", transferId, msg);

            //マイル不正値
            result = PointBLComp1.TransferPoint(
                "AWTS", "0000500001", "山田", "次郎", 0,
                out transferId, out msg);
            Console.WriteLine("transferId={0}, msg={1}", transferId, msg);
        }
    }
}
