﻿
namespace Adwk.Reservation.Data
{
    //汎用的なシステムステータスを表す列挙型
    public enum AdwkRStatus
    {
        Success,           // 成功
        SuccessButMileage, // (乗船手続きは)成功したがマイル加算は失敗
        NoRoute,           // 指定区間は運行なし
        NoSchedule,        // 該当する運用予定なし(指定区間は有効)
        NoRoom,            // 空き数なし
        NoReservation,     // 予約なし
        NotReferredReservation, // 照会していない
        CantDeleteReservation,  // 予約を削除できない
        AleadyCheckedIn,        // 既に乗船手続きが済んでいる(乗船手続きはできない)
        InvalidArgument,   // 引数不正
        DBError,           // データベース関連のエラー
        OptimisticConcurrencyError,  // 楽観的同時実行制御の際にデータ競合が発生した
        UndefinedError     // その他のエラー
    }
}
