﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

using Adwk.Reservation;
using System.ServiceModel.Web;

namespace Adwk.WebApp
{
    // 予約管理の基本情報を返すサービスインターフェイス
    [ServiceContract(Namespace="http://adwk.webapp.reservation")]
    public interface IBasicInfo
    {
        // 場所(出発地、到着地)、クラス(一等、二等)の基本情報を取得する
        // カスタム型の配列を返す
        [OperationContract]
        [WebGet(BodyStyle=WebMessageBodyStyle.Wrapped,
                ResponseFormat=WebMessageFormat.Json)]
        bool GetBasicRouteInfo(
            out PlaceInfo[] places, out LevelInfo[] levels);
    }
}
