﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.ServiceModel;
using System.ServiceModel.Web;
using System.Runtime.Serialization;

namespace Adwk.WebApp
{
    // スクリプトから必要に応じてWeb関連情報を取得するためのインターフェイス
    [ServiceContract(Namespace = "http://adwk.webapp.reservation")]
    public interface IWebBasicInfo
    {
        [OperationContract]
        [WebGet(UriTemplate = "GetWebUserInfo",
                ResponseFormat = WebMessageFormat.Json)]
        WebUserInfo GetWebUerInfo();
    }

    // Webユーザー情報
    [DataContract]
    public class WebUserInfo
    {
        [DataMember]
        public string LastName;
        [DataMember]
        public string FirstName;
        [DataMember]
        public string MemberCode;
    }
}
