﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeBehind="MileageHistory.aspx.cs" Inherits="Adwk.WebApp.members.MileageHistory" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeaderPlaceHolder1" Runat="Server">

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <strong>マイルの確認（加算と使用の履歴）</strong>

   <br />
    <br />
    <table cellpadding="0" cellspacing="0" border="1">
        <tr>
            <td style="background-color: #99CCFF">
                &nbsp;お名前:
            </td>
            <td>
                &nbsp;<asp:Label ID="UserLabel" runat="server"></asp:Label>
                &nbsp;様
            </td>
            <td style="background-color: #99CCFF">
                &nbsp;会員コード:
            </td>
            <td>
                &nbsp;<asp:Label ID="IDLabel" runat="server"></asp:Label>
                &nbsp;
            </td>
            <td style="background-color: #99CCFF">
                &nbsp;現在のマイル累計:
            </td>
            <td>
                &nbsp;<asp:Label ID="TotalMileLabel" runat="server"></asp:Label>
                &nbsp;
            </td>
        </tr>
    </table>
    <br />
    <table cellpadding="0" cellspacing="0" style="width:700px">
        <tr style="background-color: #99CCFF">
            <td colspan="2">&nbsp;明細</td>
        </tr>
        <tr>
            <td style="vertical-align:top">
                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                    <ContentTemplate>
                        <asp:ListBox ID="MonthList" runat="server" AutoPostBack="True" 
                            onselectedindexchanged="MonthList_SelectedIndexChanged" Rows="4"></asp:ListBox>
                        <br />
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
            <td style="vertical-align:top">
                <small>&nbsp;履歴を表示したい月を左のリストからを選択してください。</small>
                <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                    <ContentTemplate>
                        <asp:GridView ID="HistoryGridView" runat="server" BackColor="White" 
                                BorderColor="#DEDFDE" BorderStyle="None" BorderWidth="1px" CellPadding="2" 
                                ForeColor="Black" GridLines="Vertical" AutoGenerateColumns="False" 
                                HorizontalAlign="Left" Width="550px" Font-Size="Small" 
                            AllowPaging="True" onpageindexchanged="HistoryGridView_PageIndexChanged" 
                            onpageindexchanging="HistoryGridView_PageIndexChanging" PageSize="5">
                            <RowStyle BackColor="#F7F7DE" />
                            <Columns>
                                <asp:BoundField DataField="記録日時" DataFormatString="{0:yyyy/MM/dd}"
                                                HeaderText="記録日時" >
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle HorizontalAlign="Center" />
                                </asp:BoundField>
                                <asp:BoundField DataField="実績マイル" DataFormatString="{0:#,##0}" 
                                                HeaderText="マイル" >
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle HorizontalAlign="Right" />
                                </asp:BoundField>
                                <asp:BoundField DataField="コメント" HeaderText="備考" />
                            </Columns>
                            <FooterStyle BackColor="#CCCC99" />
                            <PagerStyle BackColor="#F7F7DE" ForeColor="Black" HorizontalAlign="Right" />
                            <SelectedRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
                            <HeaderStyle BackColor="#6B696B" Font-Bold="True" ForeColor="White" />
                            <AlternatingRowStyle BackColor="White" />
                        </asp:GridView>
                        <br />&nbsp;<asp:Label ID="MsgLabel" runat="server" Font-Size="Small" ForeColor="Red"></asp:Label>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
        </tr>
    </table>
    <br />
    <asp:Button ID="GpBackButton" runat="server" Text="［マイルの確認と使用］メニューへ戻る" 
        onclick="GpBackButton_Click" />
</asp:Content>
