﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeBehind="MileageTransfer.aspx.cs" Inherits="Adwk.WebApp.members.MileageTransfer" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeaderPlaceHolder1" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server" EnableViewState="True">
    <strong>マイル移行</strong>

    <br />
    <br />
    <table cellpadding="0" cellspacing="0" border="1">
        <tr>
            <td style="background-color: #99CCFF">
                &nbsp;お名前:
            </td>
            <td>
                &nbsp;<asp:Label ID="UserLabel" runat="server"></asp:Label>
                &nbsp;様
            </td>
            <td style="background-color: #99CCFF">
                &nbsp;会員コード:
            </td>
            <td>
                &nbsp;<asp:Label ID="IDLabel" runat="server"></asp:Label>
                &nbsp;
            </td>
        </tr>
    </table>
    <br />
    <table cellpadding="0" cellspacing="0" style="width:700px">
        <tr style="background-color: #99CCFF">
            <td colspan="3">&nbsp;移行マイルの指定</td>
        </tr>
        <tr style="height: 8px;"><td></td></tr>
        <tr>
            <td style="width: 20px"></td>
            <td colspan="2" style="vertical-align:top">
                <small>
                &nbsp;提携先 External Company の&nbsp;<asp:Label ID="UserLabelAlt" runat="server" Text="-"></asp:Label>&nbsp;様の口座へマイルを移行できます。<br />
                &nbsp;ご希望の移行マイル数（１マイル以上）を入力し、［確認画面へ進む］ボタンをクリックして、移行の最終確認へお進みください。<br />
                &nbsp;（注意）移行先口座のご名義が、当マイル口座のお客様名義と異なる場合には移行できません。
                </small>
            </td>
        </tr>
        <tr style="height: 8px;"><td></td></tr>
        <tr>
            <td style="width: 20px"></td>
            <td style="text-align:right;width: 180px;">
                現在のマイル累計:
            </td>
            <td style="text-align: left;width: 500px;">
                &nbsp;<asp:Label ID="TotalMileLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td style="width: 20px"></td>
            <td style="text-align:right;width: 180px;">
                ご希望の移行マイル数:
            </td>
            <td style="text-align: left;width: 500px;">
                &nbsp;<asp:TextBox ID="TransferMileTextBox" runat="server"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                    ForeColor="Red" ControlToValidate="TransferMileTextBox" 
                    ErrorMessage="移行するマイル数は必須項目です。" Display="Dynamic">*</asp:RequiredFieldValidator>
                <asp:CustomValidator ID="CustomValidator1" runat="server" Display="Dynamic" 
                    ErrorMessage="-" ForeColor="Red">*</asp:CustomValidator>
            </td>
        </tr>
        <tr>
            <td style="width: 20px"></td>
            <td style="text-align:right;width: 180px;">
                移行先のお客様ID:
            </td>
            <td style="text-align: left;width: 500px;">
                &nbsp;<asp:TextBox ID="CustomerIdTextBox" runat="server"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                    ForeColor="Red" ControlToValidate="CustomerIdTextBox" 
                    ErrorMessage="移行先のお客様IDは必須項目です。" Display="Dynamic">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr style="height: 8px;"><td></td></tr>
        <tr>
            <td style="width: 20px"></td>
            <td style="text-align:right;width: 180px;">
            </td>
            <td style="text-align: left;width: 500px;">
                <asp:Button ID="ConfirmButton" runat="server" Text="確認画面へ進む" 
                    onclick="ConfirmButton_Click" />
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td style="height: 80px; width: 20px;"></td>
            <td style="height: 80px; vertical-align: top;">
                &nbsp;<asp:ValidationSummary ID="ValidationSummary1" ForeColor="Red" runat="server" Font-Size="Small" />
            </td>
        </tr>
    </table>
    <asp:Button ID="GpBackButton" runat="server" Text="［マイルの確認と使用］メニューへ戻る" 
        CausesValidation="False" onclick="GpBackButton_Click" />

</asp:Content>
