﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace AdwkWebApp.Staff
{


    public partial class CreateUser : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void CreateUserButton_Click(object sender, EventArgs e)
        {
            //サーバーサイドでの検証コントロールの検証に失敗した場合は
            //何もせずに終了する
            if (!Page.IsValid) return;

            //ユーザーの作成
            string message;
            bool result = BLComp1.CreateUser(
                UserName.Text, Password.Text, Email.Text,
                Question.Text, Answer.Text,
                LastName.Text, FirstName.Text, out message);
            if (result)
            {
                //簡単にするため、正常に作成した場合の messageは使用していない
                Response.Redirect(StaffPages.CreateUserDoneUrl);
            }
            else
            {
                MessageLabel.Text = message;
            }
        }
    }
}