﻿using System.Runtime.Serialization;

namespace Adwk.SLApp.WebApp
{
    //Webページ表示用の最小限の運行データ
    //(ReservationService.svcで使用しているものを再利用)
    //(Silverlightのデータバインディングで使用する列はプロパティに変更)
    [DataContract]
    public class ScheduleBasicInfo   // 1便分のスケジュール
    {
        [DataMember] public string ScheduleCode;    // 運行コード(予約のときに必要)
        [DataMember] public string ScheduledDate;   // 運航日
        [DataMember] public string CruiseId { get; set; }  // 便名
        [DataMember] public string DeptName;  // 出発地名
        [DataMember] public string DeptTime { get; set; }  // 出発時刻
        [DataMember] public string ArrvName;  // 到着地名
        [DataMember] public string ArrvTime { get; set; }  // 到着時刻
        [DataMember] public string LevelCode; // クラスコード("1", "2"など、予約のときに必要)
        [DataMember] public string LevelName; // クラス名(1等、2等など)
        [DataMember] public string Room { get; set; }      // 空き数 
    }
}
