﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Adwk.WpfApp
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

        }

        // 運行予定照会/予約のウィンドウ表示
        private void ReserveButton_Click(object sender, RoutedEventArgs e)
        {
            var wnd = new W01Reserve();
            wnd.Owner = this;
            wnd.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            wnd.ShowDialog();
        }

        // 予約確認/取り消しのウィンドウ表示
        private void ConfirmButton_Click(object sender, RoutedEventArgs e)
        {
            var wnd = new W02Confirm();
            wnd.Owner = this;
            wnd.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            wnd.ShowDialog();
        }

        // 乗船手続きのウィンドウ表示
        private void CheckInButton_Click(object sender, RoutedEventArgs e)
        {
            var wnd = new W03CheckIn();
            wnd.Owner = this;
            wnd.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            wnd.ShowDialog();
        }
    }
}
