﻿
namespace Adwk.Mileage.Data
{
    //汎用的なシステムステータスを表す列挙型
    public enum AdwkMStatus
    {
        Success,         // 成功
        MemberNotFound,  // 該当会員なし
        MileNotEnough,   // 減算時のマイル不足
        MileInvalid,     // 不正なマイル値(加算なのにマイナス値など)
        InvalidLevel,    // 加算レベル不正
        InvalidArgument, // 引数不正
        DBError,         // データベースアクセスエラー
        ExternalError,   // 外部システムでのエラー
        UndefinedError   // その他のエラー
    }
}
