﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Adwk.Mileage.Data;
using Adwk.Mileage.Logic;


namespace Adwk.Mileage.Service
{
    public class MileageTransferService
        : IMileageTransfer
    {
        // マイレージ移行のためのインターフェイス
        bool IMileageTransfer.TransferMileByMember(
            string memberCode, string toCustomerId,
            DateTime appliedDate, int mile, 
            out AdwkMStatus stat, out string systemMessage)
        {
            return BLComp2.TransferMileByMember(
                    memberCode, toCustomerId, 
                    appliedDate, mile,
                    out stat, out systemMessage);
        }
    }
}
