﻿using System;
using System.ServiceModel;

using Adwk.Mileage.Data;
using Adwk.Mileage.Logic;

namespace Adwk.Mileage.Service
{
    // マイル更新む関連のサービス
    public class MileageUpdateService
        : IMileageUpdate
    {
        // マイルの加算
        [OperationBehavior(
            TransactionScopeRequired = true, TransactionAutoComplete = true)]
        public bool AddMileByMember(
            string memberCode,
            DateTime boardingDate, int baseMile, string mileageLevel, string cmt,
            out int appliedMile, out AdwkMStatus stat, out string systemMessage)
        {
            bool result;
            result = BLComp1.AddMileByMember(
                        memberCode, boardingDate, baseMile, mileageLevel, cmt,
                        out appliedMile, out stat, out systemMessage);
            return result;
        }
    }
}
