﻿using System;
using System.Runtime.Serialization;

using System.ServiceModel;

namespace Adwk.Reservation
{
    [DataContract]
    public class ScheduleInfo   // 1便分のスケジュール
    {
        [DataMember] public string ScheduleCode;    // 運行コード(予約のときに必要)
        [DataMember] public DateTime ScheduledDate; // 運航日
        [DataMember] public string CruiseId;        // 便名
        [DataMember] public string DeptCode;    // 出発地コード
        [DataMember] public string DeptName;    // 出発地名
        [DataMember] public TimeSpan DeptTime;  // 出発日時(日付無し、時間のみ)
        [DataMember] public string ArrvCode;    // 到着地コード
        [DataMember] public string ArrvName;    // 到着地名
        [DataMember] public TimeSpan ArrvTime;  // 到着日時(日付無し、時間のみ)
        [DataMember] public decimal Price;      // 基本料金
        [DataMember] public decimal Mile;       // 運行マイル
        [DataMember] public string LevelCode;   // クラスコード("1", "2"など)
        [DataMember] public string LevelName;   // クラス名(1等、2等など)
        [DataMember] public int Capacity;       // 定員数
        [DataMember] public int Room;           // 空き数
        [DataMember] public decimal AppliedPrice;  //適用料金
        [DataMember] public decimal AppliedTax;    //適用消費税
    }
}
