﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

using Adwk.Reservation;
using Adwk.Reservation.Logic;

using System.ServiceModel.Activation;

namespace Adwk.WebApp
{
    // 予約管理の基本情報を返すサービスインターフェイス
    [AspNetCompatibilityRequirements(
        RequirementsMode=AspNetCompatibilityRequirementsMode.Allowed)]
    public class RBasicInfoService : IBasicInfo
    {
        // 場所(出発地、到着地)、クラス(一等、二等)の基本情報を取得する
        // カスタム型の配列を返す
        bool IBasicInfo.GetBasicRouteInfo(
            out PlaceInfo[] places, out LevelInfo[] levels)
        {
            return BLComp1.GetBasicRouteInfo(out places, out levels);
        }
    }
}
