﻿
namespace Adwk.WebApp
{
    //セッション変数で使用する名前
    public static class SVars
    {
        public const string MemberInfo = "MemberInfo";     // UserNameと同期
        public const string UserName = "UserName";         // MemberInfoと同期
        public const string HistoryList = "HistoryList";   // 使用マイル履歴(1か月分)
        public const string TransferMile = "TransferMile"; // 移行マイル数
        public const string CustomerId = "CustomerId";     // 移行先の顧客ID
        
        //public const string TransferFlag = "TransferFlag"; //移行済みフラグ(移行ページで処理済み判断に使用)
        
        // このWebサイト固有のWCFサービス(ReservationService)で使用
        public const string BLComp3 = "BLComp3";  // 予約照会と削除のためのコンポーネント参照用
        public const string CurrentETag = "CurrentETag"; // オプティミスティック同時実行制御で使用するETag退避用

        // 以下は未使用
        public const string SelectedSchedule = "SelectedSchedule";
        public const string OptionList = "OptionList";
        public const string SelectedOption = "SelectedOption";
        public const string SelectedDateUI = "SelectedDateUI";
        public const string SelectedGridViewIndexUI = "SelectedGridViewIndexUI";
        public const string SelectedOptionIndexUI = "SelectedOptionIndexUI";
    }
}