﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CreateUser.aspx.cs" Inherits="AdwkWebApp.Staff.CreateUser" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <table border="0" style="width: 550px">
            <tr>
                <td align="left" colspan="2" 
                    style="font-weight: bold; color: white; background-color: #008080">
                    ユーザーの新規作成
                </td>
            </tr>
            <tr>
                <td align="right" style="width: 200px">
                    <asp:Label ID="UserNameLabel" runat="server" 
                        AssociatedControlID="UserName">
                        ユーザー名(会員コード):
                    </asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="UserName" runat="server"></asp:TextBox>
                    (数字10桁)
                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server"
                        ControlToValidate="UserName"
                        ErrorMessage="ユーザー名は必須です。" 
                        ToolTip="ユーザー名は必須です。" 
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="PasswordLabel" runat="server"
                        AssociatedControlID="Password">
                        パスワード:</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="Password" runat="server" TextMode="Password"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" 
                        ControlToValidate="Password"
                        ErrorMessage="パスワードは必須です。"
                        ToolTip="パスワードは必須です。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="ConfirmPasswordLabel" runat="server"
                            AssociatedControlID="ConfirmPassword">
                            パスワードの確認入力:
                    </asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="ConfirmPassword" runat="server" TextMode="Password"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="ConfirmPasswordRequired" runat="server"
                        ControlToValidate="ConfirmPassword"
                        ErrorMessage="パスワードの確認入力は必須です。"
                        ToolTip="パスワードの確認入力は必須です。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="EmailLabel" runat="server"
                        AssociatedControlID="Email">
                        電子メール:
                    </asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="Email" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="EmailRequired" runat="server"
                        ControlToValidate="Email"
                        ErrorMessage="電子メールは必須です。" 
                        ToolTip="電子メールは必須です。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="QuestionLabel" runat="server"
                        AssociatedControlID="Question">
                        セキュリティの質問:
                    </asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="Question" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="QuestionRequired" runat="server"
                        ControlToValidate="Question"
                        ErrorMessage="セキュリティの質問は必須です。"
                        ToolTip="セキュリティの質問は必須です。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="AnswerLabel" runat="server"
                        AssociatedControlID="Answer">
                        セキュリティの返答:
                    </asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="Answer" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="AnswerRequired" runat="server"
                        ControlToValidate="Answer"
                        ErrorMessage="セキュリティの返答は必須です。"
                        ToolTip="セキュリティの返答は必須です。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <asp:CompareValidator ID="PasswordCompare" runat="server"
                        ControlToCompare="Password"
                        ControlToValidate="ConfirmPassword"
                        ErrorMessage="「パスワード」と「パスワード確認入力」は一致する必要があります。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red" Display="None">
                    </asp:CompareValidator>
                </td>
            </tr>
            <tr>
                <td align="left" colspan="2" 
                    style="font-weight: bold; color: white; background-color: #008080">
                    追加情報
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="LastNameLabel" runat="server"
                        AssociatedControlID="LastName">
                        &nbsp;&nbsp;&nbsp;&nbsp;姓:
                    </asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="LastName" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="LastNameRequired" runat="server"
                        ControlToValidate="LastName"
                        ErrorMessage="姓は必須です。"
                        ToolTip="は必須です。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="FirstNameLabel" runat="server"
                        AssociatedControlID="FirstName">
                        &nbsp;&nbsp;&nbsp;&nbsp;名:
                    </asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="FirstName" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="FirstNameRequired" runat="server"
                        ControlToValidate="FirstName"
                        ErrorMessage="名は必須です。"
                        ToolTip="名は必須です。"
                        ValidationGroup="CreateUserWizard1" ForeColor="Red">
                        *
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <asp:Button ID="CreateUserButton" runat="server" 
                        Text="ユーザー作成"
                        ValidationGroup="CreateUserWizard1" onclick="CreateUserButton_Click" />
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td align="left" style="color: red">
                    <asp:ValidationSummary ID="ValidationSummary1" runat="server"
                        ValidationGroup="CreateUserWizard1" />
                    <asp:Label ID="MessageLabel" runat="server"
                        Text="" ForeColor="Red" EnableViewState="false">
                    </asp:Label>
                </td>
            </tr>
        </table>
    
    </div>
    </form>
</body>
</html>
